## org.eclipse.wst.validation
Class ValidationEvent

    java.lang.Object
      org.eclipse.wst.validation.ValidationEvent

    public final class ValidationEvent

extends java.lang.Object

An object that describes which object should be validated and what triggered its validation.

Provisional API: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Constructor Summary
`ValidationEvent(IResource resource, int kind, IResourceDelta dependsOn)` Create an object that describes what should be validated.

Method Summary
`IResourceDelta` `getDependsOn()` If the resource is being validated because one of it's dependencies has changed, that change is described here.
`int` `getKind()` The way the resource changed.
`IResource` `getResource()` The resource to be validated.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ValidationEvent

    public ValidationEvent(IResource resource,
                           int kind,
                           IResourceDelta dependsOn)

  Create an object that describes what should be validated.

  Parameters:
    `resource` - The resource to be validated.
    `kind` - The way the resource changed. It uses the same values as the kind parameter in IResourceDelta.
    `dependsOn` - If the resource is being validated because one of it's dependencies has changed, that change is described here. This can be null.

Method Detail

### getResource

    public IResource getResource()

  The resource to be validated.

### getKind

    public int getKind()

  The way the resource changed. It uses the same values as the kind parameter in IResourceDelta.

### getDependsOn

    public IResourceDelta getDependsOn()

  If the resource is being validated because one of it's dependencies has changed, that change is described here. This method will return null when the trigger is not because of a dependency change.